#!/usr/bin/env bash

fail() {
    echo "error: $@"
    exit 1
}

if ! which zsh >/dev/null 2>&1; then
    if which aptitude >/dev/null 2>&1; then
        sudo aptitude install -y zsh
    elif which brew >/dev/null 2>&1; then
        brew install zsh
    else
        fail "Don't know how to install zsh on this box. Install zsh and run this again."
    fi
fi

if ! which git >/dev/null 2>&1; then
    if which aptitude >/dev/null 2>&1; then
        sudo aptitude install -y git-core
    elif which brew >/dev/null 2>&1; then
        brew install git-core
    else
        fail "Don't know how to install git on this box. Install git and run this again."
    fi
fi

cd ~
if ! [ -d config ]; then
    git clone git://github.com/samsonjs/config || fail "cannot clone config repo"
fi

cd config
./init.sh
cd ..

echo " * Done!"

# FIXME figure out how to change the shell semi-interactively (only type in password)
if ! grep `id -u` /etc/passwd | grep zsh; then
    #chsh -s `which zsh`
    echo " *** Use chsh to change your shell to `which zsh`"
fi

